package com.hdkj.lt.base.annotations;

import com.hdkj.lt.base.constraints.SpecialCharValidator;
import org.apache.commons.lang3.StringUtils;

import javax.validation.Constraint;
import javax.validation.Payload;
import java.lang.annotation.*;

/**
 * @Description 特殊字符验证（\ / : * ? " < > |）
 * @Author wucx
 * @Date 2024/7/15 10:08
 * @Version 1.0
 */
@Target({ElementType.FIELD})
@Retention(RetentionPolicy.RUNTIME)
@Constraint(validatedBy = SpecialCharValidator.class)
@Documented
public @interface SpecialCharValid {
    // 提示信息
    String message() default "不能包含下列任何字符：\\ / : * ? \" < > |";

    // 验证字段名称 用于追加提示信息
    String fieldName() default StringUtils.EMPTY;

    Class<?>[] groups() default {};

    Class<? extends Payload>[] payload() default {};

}
